## ungoogled-chromium 144.0.7559.96

=== debian/changelog ===
ungoogled-chromium (144.0.7559.96-1mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Trixie reconversion.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 22 Jan 2026 20:16:47 -0800

ungoogled-chromium (144.0.7559.96-1.1xtradeb1.2404.1) noble; urgency=high

  * Apply ungoogled-chromium modifications.
  * <dummy_line>
  * XtraDeb conversion for Ubuntu 24.04/noble.

 -- Daniel Richard G. <skunk@iSKUNK.ORG>  Wed, 21 Jan 2026 23:07:51 -0500

chromium (144.0.7559.96-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2026-1220: Race in V8. Reported by @p1nky4745.
  * d/scripts/unbundle: switch to bundled libxml2, so that we get features of
    XML_PARSE_NO_XXE (which disables loading of external content) in
    trixie/bookworm.
  * d/copyright: stop deleting the bundled libxml2.
  * d/clean: stop deleting the libxml2 symlink.
  * d/control: drop libxml2-dev build dep.

  [ Daniel Richard G. ]
  * d/patches/bookworm/bindgen.patch: Move the libclang edit from here ...
  * d/patches/fixes/bindgen-paths.patch: ... over to this new patch, which
    takes a simpler approach that is easier to override later in the series ...
  * d/patches/ppc64le/fixes/bindgen.patch: ... and makes this patch redundant.
  * d/patches/ppc64le/sandbox/0001-sandbox-Enable-seccomp_bpf-for-ppc64.patch:
    Add a __NR_mseal definition that is needed in the Ubuntu builds.

 -- Andres Salomon <dilinger@debian.org>  Tue, 20 Jan 2026 20:25:10 -0500
