=== debian/rules ===
#!/usr/bin/make -f

# enable verbose build messages
export DH_VERBOSE=1

# indicate that binary targets do not require root
export DEB_RULES_REQUIRES_ROOT=no

-include /usr/share/dpkg/architecture.mk

ifeq (armhf,$(DEB_HOST_ARCH))
# avoid "argument unused during compilation" warnings on armhf
arg_hardening = +all,-stackclash
else ifeq (loong64,$(DEB_HOST_ARCH))
# avoid page crashing on loong64
arg_hardening = +all,-stackprotector
else
# enable all build hardening flags
arg_hardening = +all
endif
export DEB_BUILD_MAINT_OPTIONS=hardening=$(arg_hardening)

# disable lto flags, go with use_thin_lto instead
export DEB_BUILD_MAINT_OPTIONS+=optimize=-lto

# cross-build support
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
ifeq ($(filter cross,$(DEB_BUILD_PROFILES)),)
$(error Please specify the "cross" build profile)
endif
export DEB_BUILD_OPTIONS+=crossbuildcanrunhostbinaries
export HOST_EXEC_WRAPPER=$(DEB_HOST_GNU_TYPE)-cross-exe-wrapper
cross_pkg_config=$(DEB_HOST_GNU_TYPE)-pkgconf
endif

# compile with clang (gcc is currently not supported)
export AR=ar
export NM=nm
export CC=clang-19
export CXX=clang++-19

# initial flags from dpkg-buildflags
export DEB_CXXFLAGS_MAINT_STRIP=-g
ifneq ($(filter armhf,$(DEB_HOST_ARCH)),)
# clang gives us "argument unused during compilation" warnings for these
export   DEB_CFLAGS_MAINT_STRIP+=-fno-stack-clash-protection
export DEB_CXXFLAGS_MAINT_STRIP+=-fno-stack-clash-protection
endif
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) -stdlib=libc++
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -stdlib=libc++ -static-libstdc++

# more verbose linker output
export LDFLAGS+=-Wl,--stats

# extra flags to reduce warnings that aren't very useful
export CXXFLAGS+=-Wno-conversion \
                 -Wno-unused-function \
                 -Wno-unused-variable \
                 -Wno-unused-private-field \
                 -Wno-deprecated-declarations \
                 -Wno-unknown-pragmas \

# do not optimize away null pointer safety checks
export CXXFLAGS+=-fno-delete-null-pointer-checks

ifeq (ppc64el,$(DEB_HOST_ARCH))
# avoid altivec incompatibilities / deprecation warnings
export CXXFLAGS+=-faltivec-src-compat=mixed -Wno-deprecated-altivec-src-compat
endif

# disable clang plugins
defines:=clang_use_chrome_plugins=false

# use system rust
export CLANG_MVERS:=$(shell $(CC) --version 2>/dev/null | sed -n 's/.* clang version //p' | cut -d. -f1)
rust_sysroot=/usr
defines+=rust_sysroot_absolute=\"$(rust_sysroot)\"
defines+=rust_bindgen_root=\"/usr\"
defines+=rustc_version=\"$(shell $(rust_sysroot)/bin/rustc --version 2>/dev/null)\"
defines+=clang_base_path=\"/usr/lib/llvm-$(CLANG_MVERS)\"
defines+=clang_version=\"$(CLANG_MVERS)\"

# build using system toolchain
defines+=host_toolchain=\"//build/toolchain/linux/unbundle:default\"
defines+=custom_toolchain=\"//build/toolchain/linux/unbundle:default\"

# set the appropriate cpu architecture
DEB_HOST_ARCH_value := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH ?= $(DEB_HOST_ARCH_value)
ifeq (i386,$(DEB_HOST_ARCH))
defines+=host_cpu=\"x86\" use_vaapi=true
endif
ifeq (amd64,$(DEB_HOST_ARCH))
defines+=host_cpu=\"x64\" use_vaapi=true
endif
ifeq (arm64,$(DEB_HOST_ARCH))
defines+=host_cpu=\"arm64\" use_v4l2_codec=true use_vaapi=false
# use_av1_hw_decoder is enabled by default for vaapi, but disabled for
# v4l2, we can remove it when chromium enables it for v4l2 by default
defines+=use_av1_hw_decoder=true
endif
ifeq (armhf,$(DEB_HOST_ARCH))
defines+=host_cpu=\"arm\" use_v4l2_codec=true use_vaapi=false arm_use_neon=true
endif
ifeq (ppc64el,$(DEB_HOST_ARCH))
defines+=host_cpu=\"ppc64\" use_vaapi=true
endif

# final link takes >150m, don't let Launchpad kill the build prematurely
keepalive=debian/scripts/keepalive-wrapper.py 7200
ifeq (loong64,$(DEB_HOST_ARCH))
# use shared libffi for loong64 to pass build (see bugs.debian.org/1107859)
# xnnpack doesn't support loongarch now, so disable it
defines+=host_cpu=\"loong64\" use_system_libffi=true build_tflite_with_xnnpack=false use_vaapi=true
endif

ifdef cross_pkg_config
defines+=pkg_config=\"$(cross_pkg_config)\"
endif

# thin lto requires >4 GB RAM, so avoid it on 32-bit build hosts
ifeq (32,$(DEB_BUILD_ARCH_BITS))
defines+=use_thin_lto=false \
         concurrent_links=1
else
defines+=use_thin_lto=true
endif

# disabled features
defines+=is_debug=false \
         use_sysroot=false \
         use_libjpeg_turbo=true \
         use_custom_libcxx=false \
         optimize_webui=false \
         use_unofficial_version_number=false \
         rtc_video_psnr=false \
         safe_browsing_use_unrar=false \
         enable_vr=false \
         enable_enterprise_companion=false \
         enable_glic=false \
         build_dawn_tests=false \
         enable_iterator_debugging=false \
         enable_hangout_services_extension=false \
         angle_has_histograms=false \
         angle_build_tests=false \
         build_angle_perftests=false \
         treat_warnings_as_errors=false \
         toolchain_supports_rust_thin_lto=false \
         clang_warning_suppression_file=\"\" \
         use_qt5=false use_qt6=false \
         is_cfi=false \
         chrome_pgo_phase=0 \

# enabled features
defines+=use_gio=true \
         is_official_build=true \
         symbol_level=0 \
         use_pulseaudio=true \
         link_pulseaudio=true \
         rtc_use_pipewire=true \
         icu_use_data_file=true \
         enable_widevine=true \
         v8_enable_backtrace=true \
         use_system_zlib=true \
         use_system_lcms2=true \
         use_system_libjpeg=true \
         use_system_libpng=true \
         use_system_libtiff=false \
         use_system_freetype=true \
         use_system_harfbuzz=true \
         use_system_libopenjpeg2=true \
         proprietary_codecs=true \
         ffmpeg_branding=\"Chrome\" \
         disable_fieldtrial_testing_config=true \

# handle parallel build options
njobs=1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
njobs=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

# whether to use ninja -v or not
CR_VERBOSE=-v
ifneq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
	CR_VERBOSE=
endif

DIST := $(shell dpkg-parsechangelog -l debian/changelog  | sed -n 's/^Distribution: //p')

%:
	dh $@


# don't build armhf on build systems that lack NEON
test_armhf_neon:
	uname -m
	if [ `uname -m` = "armv7l" ]; then \
		grep -q 'neon\|asimd' /proc/cpuinfo || { \
			echo "No NEON extension detected on armhf, refusing to build" 1>&2; \
			false; \
		}; \
	fi

override_dh_auto_configure: test_armhf_neon
	# verify that we're not accidentally uploading to stable-security without CVEs
	@echo "$(DIST)" | grep -q -- '-security' && { \
		dpkg-parsechangelog -l debian/changelog | grep -q 'CVE-' || { \
			echo "ERROR: security upload with no CVEs listed. You should fix that."; \
			exit 1; \
		} \
	} || true
	# use system node w/out patching source; upstream hardcodes x64 in path
	mkdir -p third_party/node/linux/node-linux-x64/bin
	cp /usr/bin/node third_party/node/linux/node-linux-x64/bin
	# use system rollup
	cp -ra /usr/share/nodejs/rollup third_party/node/node_modules/
	- test -L third_party/devtools-frontend/src/node_modules/rollup3 || ln -s /usr/share/nodejs/rollup third_party/devtools-frontend/src/node_modules/rollup3
	# output compiler information
	$(CXX) --version
	# prefer unbundled (system) libraries
	./debian/scripts/unbundle

override_dh_auto_build-arch: patch
	gn gen out/Release --args="$(defines)"
	# Avoid chromium-shell -> libtest_trace_processor.so dependency
	sed -i '/^  solibs =/s! \./libtest_trace_processor\.so!!' out/Release/obj/content/shell/content_shell.ninja
	# XtraDeb workaround for https://crbug.com/40943790
	ninja $(CR_VERBOSE) -j$(njobs) -C out/Release ui/webui/resources/cr_components/history_clusters:build_ts
	$(keepalive) ninja $(CR_VERBOSE) -j$(njobs) -C out/Release chrome chrome_sandbox content_shell chromedriver headless_shell
