## ungoogled-chromium 144.0.7559.109

=== debian/changelog ===
ungoogled-chromium (144.0.7559.109-1~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * MX 25 conversion for Trixie.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 29 Jan 2026 17:07:36 -0800

ungoogled-chromium (144.0.7559.109-1.1xtradeb1.2404.1) noble; urgency=high

  * Apply ungoogled-chromium modifications.
  * XtraDeb conversion for Ubuntu 24.04/noble.

 -- Daniel Richard G. <skunk@iSKUNK.ORG>  Thu, 29 Jan 2026 02:51:00 -0500

chromium (144.0.7559.109-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2026-1504: Inappropriate implementation in Background Fetch API.
      Reported by Luan Herrera (@lbherrera_).

 -- Andres Salomon <dilinger@debian.org>  Wed, 28 Jan 2026 20:19:05 -0500
