=== debian/rules ===
--- 
+++ 
@@ -79,6 +79,10 @@
 defines+=rustc_version=\"$(shell $(rust_sysroot)/bin/rustc --version 2>/dev/null)\"
 defines+=clang_base_path=\"/usr/lib/llvm-$(CLANG_MVERS)\"
 defines+=clang_version=\"$(CLANG_MVERS)\"
+
+# build using system toolchain
+defines+=host_toolchain=\"//build/toolchain/linux/unbundle:default\"
+defines+=custom_toolchain=\"//build/toolchain/linux/unbundle:default\"
 
 # build using system toolchain
 defines+=host_toolchain=\"//build/toolchain/linux/unbundle:default\"
@@ -225,5 +229,3 @@
 	# Avoid chromium-shell -> libtest_trace_processor.so dependency
 	sed -i '/^  solibs =/s! \./libtest_trace_processor\.so!!' out/Release/obj/content/shell/content_shell.ninja
 	# XtraDeb workaround for https://crbug.com/40943790
-	ninja $(CR_VERBOSE) -j$(njobs) -C out/Release ui/webui/resources/cr_components/history_clusters:build_ts
-	$(keepalive) ninja $(CR_VERBOSE) -j$(njobs) -C out/Release chrome chrome_sandbox content_shell chromedriver headless_shell
