## ungoogled-chromium 145.0.7632.109

=== debian/changelog ===
ungoogled-chromium (145.0.7632.109-1mx25) mx; urgency=medium

  * Rebuild for MX Linux.
  * Adjust build-deps, applied patches, and d/rules for Trixie. Note that 
    debianization/clang-version.patch may need adjusting.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 20 Feb 2026 11:15:10 -0800

ungoogled-chromium (145.0.7632.109-1.1xtradeb1.2510.1) questing; urgency=high

  * Apply ungoogled-chromium modifications.
  * XtraDeb conversion for Ubuntu 25.10/questing.

 -- Daniel Richard G. <skunk@iSKUNK.ORG>  Thu, 19 Feb 2026 15:50:10 -0500

chromium (145.0.7632.109-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2026-2648: Heap buffer overflow in PDFium. Reported by soiax.
    - CVE-2026-2649: Integer overflow in V8.
      Reported by JunYoung Park(@candymate) of KAIST Hacking Lab.
    - CVE-2026-2650: Heap buffer overflow in Media. Reported by Google.

 -- Andres Salomon <dilinger@debian.org>  Wed, 18 Feb 2026 16:22:12 -0500
