=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Daniel Richard G. <skunk@iSKUNK.ORG>
+# XSBC-Original-Maintainer: Daniel Richard G. <skunk@iSKUNK.ORG>
 Vcs-Browser: https://salsa.debian.org/chromium-team/chromium
 Vcs-Git: https://salsa.debian.org/chromium-team/chromium.git
 Homepage: http://www.chromium.org/Home
@@ -16,6 +17,7 @@
                clang-format-19:native,
                cross-exe-wrapper <cross>,
                devscripts,
+               esbuild,
                flex,
                fonts-ipafont-gothic,
                fonts-ipafont-mincho,
@@ -57,9 +59,11 @@
                libpci-dev,
                libpipewire-0.3-dev,
                libpng-dev,
+               libpthreadpool-dev,
                libpulse-dev,
                libsecret-1-dev,
                libspeechd-dev,
+               rustc:any (>= 1.84),
                libstd-rust-dev (>= 1.84),
                libudev-dev,
                libusb-1.0-0-dev,
