=== debian/rules ===
--- 
+++ 
@@ -84,10 +84,6 @@
 defines+=host_toolchain=\"//build/toolchain/linux/unbundle:default\"
 defines+=custom_toolchain=\"//build/toolchain/linux/unbundle:default\"
 
-# build using system toolchain
-defines+=host_toolchain=\"//build/toolchain/linux/unbundle:default\"
-defines+=custom_toolchain=\"//build/toolchain/linux/unbundle:default\"
-
 # set the appropriate cpu architecture
 DEB_HOST_ARCH_value := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH ?= $(DEB_HOST_ARCH_value)
@@ -136,6 +132,7 @@
          use_libjpeg_turbo=true \
          use_custom_libcxx=false \
          optimize_webui=false \
+         webnn_use_tflite=false \
          use_unofficial_version_number=false \
          rtc_video_psnr=false \
          safe_browsing_use_unrar=false \
@@ -148,6 +145,11 @@
          angle_has_histograms=false \
          angle_build_tests=false \
          build_angle_perftests=false \
+         enable_perfetto_unittests=false \
+         skia_enable_skshaper_tests=false \
+         tint_build_unittests=false \
+         enable_nocompile_tests=false \
+         enable_screen_ai_browsertests=false \
          treat_warnings_as_errors=false \
          toolchain_supports_rust_thin_lto=false \
          clang_warning_suppression_file=\"\" \
@@ -205,6 +207,16 @@
 		}; \
 	fi
 
+# unused for sid
+ESVERS=0.25.1-1
+set_up_esbuild:
+	# Esbuild binary version should match the libs in chromium. This uses
+	# esbuild packages from
+	# https://snapshot.debian.org/package/golang-github-evanw-esbuild/$(ESVERS)/
+	mkdir -p debian/esbuild/root
+	ar --output debian/esbuild/root vx debian/esbuild/esbuild_$(ESVERS)_$(DEB_HOST_ARCH).deb
+	tar -C debian/esbuild/root -Jxvf debian/esbuild/root/data.tar.xz
+
 override_dh_auto_configure: test_armhf_neon
 	# verify that we're not accidentally uploading to stable-security without CVEs
 	@echo "$(DIST)" | grep -q -- '-security' && { \
@@ -219,13 +231,4 @@
 	# use system rollup
 	cp -ra /usr/share/nodejs/rollup third_party/node/node_modules/
 	- test -L third_party/devtools-frontend/src/node_modules/rollup3 || ln -s /usr/share/nodejs/rollup third_party/devtools-frontend/src/node_modules/rollup3
-	# output compiler information
-	$(CXX) --version
-	# prefer unbundled (system) libraries
-	./debian/scripts/unbundle
-
-override_dh_auto_build-arch: patch
-	gn gen out/Release --args="$(defines)"
-	# Avoid chromium-shell -> libtest_trace_processor.so dependency
-	sed -i '/^  solibs =/s! \./libtest_trace_processor\.so!!' out/Release/obj/content/shell/content_shell.ninja
-	# XtraDeb workaround for https://crbug.com/40943790
+	# use debian's esbuild
